Skip to main content
`Ctrl`+`K`

# average_node_connectivity

average_node_connectivity(G, flow_func=None)

  Returns the average connectivity of a graph G.

  The average connectivity `bar{kappa}` of a graph G is the average of local node connectivity over all pairs of nodes of G [1] .

  \[\bar{\kappa}(G) = \frac{\sum_{u,v} \kappa_{G}(u,v)}{{n \choose 2}}\]
  Parameters:
    G NetworkX graph

      Undirected graph

    flow_func function

      A function for computing the maximum flow among a pair of nodes. The function has to accept at least three parameters: a Digraph, a source node, and a target node. And return a residual network that follows NetworkX conventions (see `maximum_flow()` for details). If flow_func is None, the default maximum flow function (`edmonds_karp()`) is used. See `local_node_connectivity()` for details. The choice of the default function may change from version to version and should not be relied on. Default value: None.

  Returns:
    K float

      Average node connectivity

  See also

  `local_node_connectivity()`
  `node_connectivity()`
  `edge_connectivity()`
  `maximum_flow()`
  `edmonds_karp()`
  `preflow_push()`
  `shortest_augmenting_path()`

  References

  [1]

  Beineke, L., O. Oellermann, and R. Pippert (2002). The average connectivity of a graph. Discrete mathematics 252(1-3), 31-45. http://www.sciencedirect.com/science/article/pii/S0012365X01001807